Package io.vertx.rxjava3.openapi.validation

## Class ResponseParameter

- java.lang.Object
- - io.vertx.rxjava3.openapi.validation.ResponseParameter

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`, `Parameter`

      public class ResponseParameter
      extends Object
      implements io.vertx.lang.rx.RxDelegate, Parameter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ResponseParameter>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResponseParameter​(ResponseParameter delegate)` |
    `ResponseParameter​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Object` | `get()` |
    `Boolean` | `getBoolean()` |
    `Boolean` | `getBoolean​(Boolean defaultValue)` |
    `Buffer` | `getBuffer()` |
    `Buffer` | `getBuffer​(Buffer defaultValue)` |
    `ResponseParameter` | `getDelegate()` |
    `Double` | `getDouble()` |
    `Double` | `getDouble​(Double defaultValue)` |
    `Float` | `getFloat()` |
    `Float` | `getFloat​(Float defaultValue)` |
    `Integer` | `getInteger()` |
    `Integer` | `getInteger​(Integer defaultValue)` |
    `JsonArray` | `getJsonArray()` |
    `JsonArray` | `getJsonArray​(JsonArray defaultValue)` |
    `JsonObject` | `getJsonObject()` |
    `JsonObject` | `getJsonObject​(JsonObject defaultValue)` |
    `Long` | `getLong()` |
    `Long` | `getLong​(Long defaultValue)` |
    `String` | `getString()` |
    `String` | `getString​(String defaultValue)` |
    `int` | `hashCode()` |
    `boolean` | `isBoolean()` |
    `boolean` | `isBuffer()` |
    `boolean` | `isEmpty()` |
    `boolean` | `isJsonArray()` |
    `boolean` | `isJsonObject()` |
    `boolean` | `isNull()` |
    `boolean` | `isNumber()` |
    `boolean` | `isString()` |
    `static ResponseParameter` | `newInstance​(ResponseParameter arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ResponseParameter> __TYPE_ARG

  - ### Constructor Detail

    - #### ResponseParameter

          public ResponseParameter​(ResponseParameter delegate)

    - #### ResponseParameter

          public ResponseParameter​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ResponseParameter getDelegate()

      Specified by:
        `getDelegate` in interface `Parameter`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getString

          public String getString()

      Specified by:
        `getString` in interface `Parameter`
      Returns:
        null if value is not a `String`, otherwise it returns value

    - #### getString

          public String getString​(String defaultValue)

      Specified by:
        `getString` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default if value is not a `String` or is null, otherwise it returns the value.

    - #### isString

          public boolean isString()

      Specified by:
        `isString` in interface `Parameter`
      Returns:
        true if value of this instance is a `String` instance

    - #### getInteger

          public Integer getInteger()

      Specified by:
        `getInteger` in interface `Parameter`
      Returns:
        null if value is not a `Number`, otherwise it returns value as `Integer`

    - #### getInteger

          public Integer getInteger​(Integer defaultValue)

      Specified by:
        `getInteger` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getLong

          public Long getLong()

      Specified by:
        `getLong` in interface `Parameter`
      Returns:
        null if value is not a `Number`, otherwise it returns value as `Long`

    - #### getLong

          public Long getLong​(Long defaultValue)

      Specified by:
        `getLong` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getFloat

          public Float getFloat()

      Specified by:
        `getFloat` in interface `Parameter`
      Returns:
        null if value is not a `Number`, otherwise it returns value as `Float`

    - #### getFloat

          public Float getFloat​(Float defaultValue)

      Specified by:
        `getFloat` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### getDouble

          public Double getDouble()

      Specified by:
        `getDouble` in interface `Parameter`
      Returns:
        null if value is not a `Number`, otherwise it returns value as `Double`

    - #### getDouble

          public Double getDouble​(Double defaultValue)

      Specified by:
        `getDouble` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Number` or is null, otherwise it returns the value.

    - #### isNumber

          public boolean isNumber()

      Specified by:
        `isNumber` in interface `Parameter`
      Returns:
        true if value of this instance is a `Number` instance

    - #### getBoolean

          public Boolean getBoolean()

      Specified by:
        `getBoolean` in interface `Parameter`
      Returns:
        null if value is not a `Boolean`, otherwise it returns value

    - #### getBoolean

          public Boolean getBoolean​(Boolean defaultValue)

      Specified by:
        `getBoolean` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a `Boolean` or is null, otherwise it returns the value.

    - #### isBoolean

          public boolean isBoolean()

      Specified by:
        `isBoolean` in interface `Parameter`
      Returns:
        true if value of this instance is a `Boolean` instance

    - #### getJsonObject

          public JsonObject getJsonObject()

      Specified by:
        `getJsonObject` in interface `Parameter`
      Returns:
        null if value is not a , otherwise it returns value

    - #### getJsonObject

          public JsonObject getJsonObject​(JsonObject defaultValue)

      Specified by:
        `getJsonObject` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a or is null, otherwise it returns the value.

    - #### isJsonObject

          public boolean isJsonObject()

      Specified by:
        `isJsonObject` in interface `Parameter`
      Returns:
        true if value of this instance is a instance

    - #### getJsonArray

          public JsonArray getJsonArray()

      Specified by:
        `getJsonArray` in interface `Parameter`
      Returns:
        null if value is not a , otherwise it returns value

    - #### getJsonArray

          public JsonArray getJsonArray​(JsonArray defaultValue)

      Specified by:
        `getJsonArray` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default supplied if value is not a or is null, otherwise it returns the value.

    - #### isJsonArray

          public boolean isJsonArray()

      Specified by:
        `isJsonArray` in interface `Parameter`
      Returns:
        true if value of this instance is a instance

    - #### getBuffer

          public Buffer getBuffer()

      Specified by:
        `getBuffer` in interface `Parameter`
      Returns:
        null if value is not a , otherwise it returns value

    - #### getBuffer

          public Buffer getBuffer​(Buffer defaultValue)

      Specified by:
        `getBuffer` in interface `Parameter`
      Parameters:
        `defaultValue` -
      Returns:
        the default suppliedif value is not a or is null, otherwise it returns the value.

    - #### isBuffer

          public boolean isBuffer()

      Specified by:
        `isBuffer` in interface `Parameter`
      Returns:
        true if value of this instance is a instance

    - #### isNull

          public boolean isNull()

      Specified by:
        `isNull` in interface `Parameter`
      Returns:
        true if value is null

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Parameter`
      Returns:
        true if it's an empty `String`, an empty / , an empty or it's null

    - #### get

          public Object get()

      Specified by:
        `get` in interface `Parameter`
      Returns:
        the plain value

    - #### newInstance

          public static ResponseParameter newInstance​(ResponseParameter arg)